Subject: bug#25864: 25.1; Incorrect rendering for Bengali compound character

From: Eli Zaretskii <[email-masked]>
Date: Wed, 01 Mar 2017 18:24:17 +0200

> From: handa <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Wed, 01 Mar 2017 21:40:14 +0900
> 
> Perhaps something like the following paragraphs helps Bengali users.
> 
> ============================================================
> 
> Emacs running on GNU/Linux system with the m17n library Ver.1.7.1 or the
> earlier vesion has a problem with rendering Bengali script.  The problem
> can be fixed by installing the newer version of the m17n library (if
> any), or by following this procedure:
> 
> 1. Locate the file BENG-OTF.flt installed on your system as part of the
> m17n library.  Usually it is under the directory /usr/share/m17n.
> 
> 2. Apply the following patch to BENG-OTF.flt
> 
> ------------------------------------------------------------
> diff --git a/FLT/BENG-OTF.flt b/FLT/BENG-OTF.flt
> index 45cc554..0cc5e76 100644
> --- a/FLT/BENG-OTF.flt
> +++ b/FLT/BENG-OTF.flt
> @@ -232,7 +232,7 @@
>   (lang-forms
>    (cond
>     ("(.H)J" (1 :otf=beng=half+))
> -   (".H" :otf=beng=blwf,half,vatu+)
> +   (".+H" :otf=beng=blwf,half,vatu+)
>     ("." =)))
>  
>   (post
> ------------------------------------------------------------
> 
> If you can't modify that file directly, copy it to the directory
> ~/.m17n.d/ (create it if it doesn't exist), and apply the patch.
> 
> ============================================================
> 
> Eli, where to put that kind of information?  Under "* Runtime problems
> related to font handling" of etc/PROBLEMS?

Yes, sounds like a good place.

> Aren't there any suitable web-page?

I'm not aware of any.  I thought the Emacs wiki might be a good
alternative, but I don't seem to be able to find any good place there.

Thanks.